#include <stdio.h>
#include <algorithm>

using namespace std;

int spoji(int a, int b) {
    int pom = 1;
    while(pom <= b) pom *= 10;
    return a * pom + b;
}

int main() {
    int a, b, c;
    long long br[6];
    scanf("%d %d %d", &a, &b, &c);

    br[0] = spoji(spoji(a,b), c);
    br[1] = spoji(spoji(a,c), b);
    br[2] = spoji(spoji(b,c), a);
    br[3] = spoji(spoji(b,a), c);
    br[4] = spoji(spoji(c,a), b);
    br[5] = spoji(spoji(c,b), a);

    sort(br, br + 6);
    printf("%d", br[5]);
    return 0;
}